Bug 138887 - LV creation with decimal values: "Undefined type conversion"
LV creation with decimal values: "Undefined type conversion"
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 15:03 EST by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 11:45:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-11-11 15:03:40 EST
Description of problem:
Use the GUI to create an LV.  Select Megabytes and click "Use
Remaining Space".  The value inserted included two decimal places. 
Click "OK" to create and get the Error dialog:

"Undefined type conversion error in model factory. Unable to complete
task."

This worked for me in previous versions.  It's not necessary to use
remaining space to get the error.  Any KB/MB/GB value as a decimal
will produce the error.

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.8-1.0

How reproducible:
100%

Steps to Reproduce:
1. Attempt to create an LV with decimal value for KB/MB/GB
2.
3.
  
Actual results:
Type conversion error.

Expected results:
LV created.

Additional info:
Comment 1 Jim Parsons 2004-11-11 18:26:03 EST
This is fixed in the upcoming 0.9.9-1.0. The Type Conversion error is
now changed to another  error handler that gives a much better message
if the user types garbage into the Size field.
Comment 2 Derek Anderson 2004-11-12 11:45:56 EST
Verified in system-config-lvm-0.9.9-1.0.

If you put garbage in the size field you now get:

"There is a problem with the value entered in the Size field. The
value should be a numeric value with no alphabetical characters or
symbols of any other kind."

Note You need to log in before you can comment on or make changes to this bug.